package com.leromro.core.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.leromro.common.core.domain.R;
import com.leromro.core.domain.MainOrders;
import com.leromro.core.domain.dto.OrderRequestDTO;
import com.leromro.core.domain.dto.WebMainOrdersDTO;
import com.leromro.core.domain.vo.*;

import java.util.List;

public interface IMainOrderService extends IService<MainOrders> {
    List<MainOrdersVO> selectByUserId(String[] orderStatus, Long userId);

    R<OrderPaymentVO> createOrders(OrderRequestDTO orderRequest) throws Exception;


    List<webMainOrderListVO> webMainOrderList(WebMainOrdersDTO dto);

    void startService(Long secondOrderId);

    WebMainOrdersInfoVO selectWebMainOrderInfoVO(Long mainOrderId);

    //支付成功后，向平台资金流水中增加数据
    public void changePlatformFinance ( List<Long> seconderIdList,MainOrders orders);

    MainOrderInfoVO selectOrderInfoByUserId(Long mainOrderId);
}
